Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.framework
Interface XMLContentSpec.Provider

All Known Implementing Classes:
  Grammar

Enclosing class:
  XMLContentSpec

public static interface XMLContentSpec.Provider

Provides a means for walking the structure built out of content spec "nodes". The user of this provider interface is responsible for knowing what the content spec node values "mean". If those values refer to content spec identifiers, then the user can call back into the provider to get the next content spec node in the structure.

Method Summary
`boolean` | `getContentSpec(int contentSpecIndex, XMLContentSpec contentSpec)` Fills in the provided content spec structure with content spec information for a unique identifier.

Method Detail

### getContentSpec

    public boolean getContentSpec(int contentSpecIndex,
                                  XMLContentSpec contentSpec)

  Fills in the provided content spec structure with content spec information for a unique identifier.
  Parameters:
    `contentSpecIndex` - The content spec identifier. All content spec "nodes" have a unique identifier.
    `contentSpec` - The content spec struct to fill in with the information.
  Returns:
    Returns true if the contentSpecIndex was found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.